Delete a telemetry destination
curl --request DELETE \
--url https://api.alpic.ai/v1/environments/{environmentId}/telemetry-destinations/{destinationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpic.ai/v1/environments/{environmentId}/telemetry-destinations/{destinationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpic.ai/v1/environments/{environmentId}/telemetry-destinations/{destinationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"defined": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "Bad Request",
"data": "<unknown>"
}{
"defined": true,
"code": "NOT_FOUND",
"status": 404,
"message": "Not Found",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "Internal Server Error",
"data": "<unknown>"
}telemetry
Delete a telemetry destination
Delete an OTLP destination from an environment.
DELETE
/
v1
/
environments
/
{environmentId}
/
telemetry-destinations
/
{destinationId}
Delete a telemetry destination
Authorizations
Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.
Path Parameters
The ID of the environment
The ID of the telemetry destination
Response
The telemetry destination has been deleted
Was this page helpful?